function GUI
% SIMPLE_GUI2 Select a data set from the pop-up menu, then
% click one of the plot-type push buttons. Clicking the button
% plots the selected data in the axes.

   %  Create and then hide the GUI as it is being constructed.
   f = figure('Visible','off','Position',[360,500,450,285]);
   
   %  Construct the components.
   htext = uicontrol('Style','text','String','Select Center Frequency',...
           'Position',[100,220,130,15],...
           'Callback',{@popup_menu_Callback});
   hpopup = uicontrol('Style','popupmenu',...
           'String',{'739','751'},...
           'Position',[315,220,50,15]);
   hstart = uicontrol('Style','pushbutton','String','START',...
           'Position',[200,160,70,50],...
           'Callback',@Startbutton_Callback);
%    hsurf = uicontrol('Style','pushbutton','String','Surf',...
%            'Position',[300,50,100,25]);  
%    hcontour = uicontrol('Style','pushbutton',...
%            'String','Countour',...
%            'Position',[315,135,70,25]); 
    f.Units = 'normalized';
    hstart.Units = 'normalized';
    hpopup.Units = 'normalized';
    htext.Units = 'normalized';
    
    f.Name = 'LTE Signal Analyzer';
    movegui(f,'center');
   
   %ha = axes('Units','Pixels','Position',[50,60,200,185]); 
   %align([hsurf,hcontour,hpopup],'Center','None');
   
   %Make the GUI visible.
  set(f,'Visible','on')
  
  % Programming pop-up menu
  function popup_menu_Callback(source,eventdata) 
      % Determine the selected data set.
      str = get(source, 'String');
      val = get(source,'Value');
      % Set current data to the selected data set.
      switch str{val};
      case '739' % User selects Peaks.
         freq = 739;
      case '751' % User selects Membrane.
         freq = 751;
      end
  end
  function Startbutton_Callback(source,eventdata) 
    % Display surf plot of the currently selected data.
     GUI_main(freq);
  end
end