function y=zadoff_chu(l,i);

% y=zadoff_chu(l,i);
%
% Return the zadoff-chu sequence of length 'l' with index 'i'.
%
% Normally, 'l' and 'i' should be relatively prime.

% Copyright 2012 Evrytania LLC (http://www.evrytania.com)
%
% Written by James Peroulas <james@evrytania.com>

error(nargchk(2,2,nargin));
error(chk_param(l,'l','scalar','real','integer','>',1));
error(chk_param(i,'i','scalar','real','integer','>',0,'<=',l-1));

if (bitand(l,1))
  y=exp(-j*i*pi/l*(0:l-1).*(1:l));
else
  y=exp(-j*i*pi/l*(0:l-1).^2);
end

