function [rsrp_pow_dbm,rsrp_timestamp] =rsrp_pow_cal(peak,tfg,tfg_timestamp,port);
% Local shortcuts
n_id_1=peak.n_id_1;
n_id_2=peak.n_id_2;
cp_type=peak.cp_type;

% Derive some values
n_ofdm=size(tfg,1);
if (strcmpi(cp_type,'normal'))
  n_symb_dl=7;
elseif (strcmpi(cp_type,'extended'))
  n_symb_dl=6;
else
 error('Check code...');
end
n_id_cell=n_id_2+3*n_id_1;

if (port<=1)
  rs_set=sort([1:n_symb_dl:n_ofdm n_symb_dl-3+1:n_symb_dl:n_ofdm]);
else
  rs_set=2:n_symb_dl:n_ofdm;
end
n_rs_ofdm=length(rs_set);

% Extract the rsrp symbols
rs_raw=NaN(n_rs_ofdm,12);
rs_timestamp = NaN(n_rs_ofdm,1);
rsrp_db = zeros(n_rs_ofdm,1);
slot_num=0;
for t=1:n_rs_ofdm
  %slot_num
  [rs shift]=rs_dl(slot_num,mod(rs_set(t)-1,n_symb_dl),port,n_id_cell,6,cp_type);
  if (t==1)
    shift_1=shift;
  elseif (t==2)
    shift_2=shift;
  end
  rs_raw(t,:)=tfg(rs_set(t),shift+1:6:end).*conj(rs);
  rs_timestamp(t) = tfg_timestamp(rs_set(t));
  temp = absx2(rs_raw(t,:))*1000; %expressing it as dbm thats why multiplied by 1000 
  rsrp_db(t) = 10*log10((sum(temp)/12));
  %keyboard
  if ((mod(t,2)==0)||(port>=2))
    slot_num=mod(slot_num+1,20);
  end
end
rsrp_pow_dbm = rsrp_db;
rsrp_timestamp = rs_timestamp; 


